Subject: [Rasprg] Fw: [irsg] Re: FYI: A NotebookLM for your Working Group
From: Ignacio De Castro Arribas <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 24 Mar 2026 23:46:15 +0000
List-Id: Proposed Research and Analysis of Standard-Setting Processes Research Group <rasprg.irtf.org>

A useful tool to analyse/track WG discussions and, more broadly, an interesting approach to the broader question of the use of AI in standards development.

Best,

Ignacio

---

Dr. Ignacio Castro

Assistant Professor

Electronic Engineering and Computer Science

Queen Mary University of London

________________________________
From: Mark Nottingham <mnot=[email-masked]>
Sent: Tuesday, March 24, 2026 05:02
To: WG Chairs <[email-masked]>
Subject: [irsg] Re: FYI: A NotebookLM for your Working Group

OK, I* threw together a tool to download many of the appropriate bits in a form that's amenable to feeding into NotebookLM:
  https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fpypi.org%2Fproject%2Fietf-notebook%2F&data=05%7C02%7Ci.castro%40qmul.ac.uk%7Cde817694ac214e55bab508de8962c13c%7C569df091b01340e386eebd9cb9e25814%7C0%7C0%7C639099254419860492%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=TGyGZry9cnxwMGUQ54NmmRom2QVXjyuGulwyRkj%2B4pA%3D&reserved=0<https://pypi.org/project/ietf-notebook/>

Feedback/contributions welcome.

Cheers,

* Gemini

> On 19 Mar 2026, at 11:07 am, Mark Nottingham <[email-masked]> wrote:
>
> Just thought I'd convey something I found useful for understanding the state of a WG's discussions.
>
> Google's NotebookLM:
>  https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fnotebooklm.google.com%2F&data=05%7C02%7Ci.castro%40qmul.ac.uk%7Cde817694ac214e55bab508de8962c13c%7C569df091b01340e386eebd9cb9e25814%7C0%7C0%7C639099254419890492%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=1ZxJbwCwA7H6FDsavXMPKLtkGhDy%2Fr%2FU8Ipntm%2FXeCM%3D&reserved=0<https://notebooklm.google.com/>
> allows you to ground a LLM in a specific set of documents.
>
> I've put all of the materials I have for the AIPREF Working Group into a notebook, including:
>
> - the Charter
> - meeting agendas
> - meeting minutes
> - drafts (including all revisions)
> - mailing list archives
>
> The result is an LLM I can chat with about the history and arguments made in the WG. Although (of course) I can't trust it completely, I'm finding it's a very good way to interact with the 'memory' of a WG. In particular it can serve as 'another set of eyes' that doesn't have the biases that I may have.
>
> For the mailing list archive, I found that NotebookLM doesn't like just taking an mbox file, so I* wrote a script to pre-process an archive by stripping attachments, simplifying headers, and removing quoted material. See:
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fgist.github.com%2Fmnot%2F7c0c87f3bf3cc5bbcc97acb57eb1e332&data=05%7C02%7Ci.castro%40qmul.ac.uk%7Cde817694ac214e55bab508de8962c13c%7C569df091b01340e386eebd9cb9e25814%7C0%7C0%7C639099254419910855%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=pn%2BA5Vv%2BBIDiVe%2BdzR3vKNeUpgX6wrGJgkiOmBFr0OI%3D&reserved=0<https://gist.github.com/mnot/7c0c87f3bf3cc5bbcc97acb57eb1e332>
>
> The main issue I have now is keeping it up-to-date.
>
> Hope this helps,
>
>
>
> * Gemini
>
> --
> Mark Nottingham   https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.mnot.net%2F&data=05%7C02%7Ci.castro%40qmul.ac.uk%7Cde817694ac214e55bab508de8962c13c%7C569df091b01340e386eebd9cb9e25814%7C0%7C0%7C639099254419927852%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=w4Vz42WaKiTnlbsIAIjFlPLxRmoUJcJOamA4rIBrMdg%3D&reserved=0<https://www.mnot.net/>
>

--
Mark Nottingham   https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.mnot.net%2F&data=05%7C02%7Ci.castro%40qmul.ac.uk%7Cde817694ac214e55bab508de8962c13c%7C569df091b01340e386eebd9cb9e25814%7C0%7C0%7C639099254419944546%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=W%2BAYooLmNMcjuv0Q4lnpVLRc4W4ArK%2BLmk5CjOW66hc%3D&reserved=0<https://www.mnot.net/>